# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):
    def forwards(self, orm):
        # Changing field 'Stage.url'
        db.alter_column(u'sheet_stage', 'url',
                        self.gf('django.db.models.fields.CharField')(
                            max_length=255, null=True))

    def backwards(self, orm):
        # Changing field 'Stage.url'
        db.alter_column(u'sheet_stage', 'url',
                        self.gf('django.db.models.fields.CharField')(
                            max_length=255))

    models = {
        u'sheet.build': {
            'Meta': {'object_name': 'Build'},
            'active': (
                'django.db.models.fields.BooleanField', [],
                {'default': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [],
                        {'auto_now_add': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [],
                         {'auto_now': 'True', 'blank': 'True'}),
            'name': (
                'django.db.models.fields.CharField', [],
                {'max_length': '255'}),
            'release': ('django.db.models.fields.related.ForeignKey', [],
                        {'related_name': "'builds'",
                         'to': u"orm['sheet.Release']"}),
            'status': (
                'django.db.models.fields.CharField', [], {'max_length': '16'})
        },
        u'sheet.release': {
            'Meta': {'object_name': 'Release'},
            'active': (
                'django.db.models.fields.BooleanField', [],
                {'default': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [],
                        {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [],
                         {'auto_now': 'True', 'blank': 'True'}),
            'name': (
                'django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'sheet.stage': {
            'Meta': {'object_name': 'Stage'},
            'active': (
                'django.db.models.fields.BooleanField', [],
                {'default': 'True'}),
            'build': ('django.db.models.fields.related.ForeignKey', [],
                      {'related_name': "'stages'",
                       'to': u"orm['sheet.Build']"}),
            'created': ('django.db.models.fields.DateTimeField', [],
                        {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [],
                         {'auto_now': 'True', 'blank': 'True'}),
            'name': (
                'django.db.models.fields.CharField', [],
                {'max_length': '255'}),
            'url': ('django.db.models.fields.CharField', [],
                    {'default': "''", 'max_length': '255', 'null': 'True',
                     'blank': 'True'}),
            'value': (
                'django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }

    complete_apps = ['sheet']